# Upload New Site Lists

Upload new site lists

Endpoint: POST /site_lists/upload
Version: 3.0.1807
Security: Auth0

## Request fields (multipart/form-data):

  - `file` (string, required)
    The file to be uploaded (e.g., comma_sep.txt).

  - `organization_id` (string, required)
    The ID of the organization. Its a string because form upload

  - `name` (string, required)
    The name of the site list being uploaded.
    Example: "Test List"

  - `restriction` (string)
    Enum: "INCLUDE", "EXCLUDE"

  - `status` (string)
    Enum: "true", "false", "0", "1"

## Response 201 fields (application/json):

  - `data` (object)

  - `data.id` (integer)
    Example: 126

  - `data.version` (integer)
    Example: 2

  - `data.status` (boolean)

  - `data.organization_id` (integer)
    Example: 16

  - `data.name` (string)

  - `data.restriction` (string)
    Enum: same as `restriction` (2 values)

  - `data.filename` (string,null)
    Example: "test_site_list.csv"

  - `data.content_updated_on` (string)

  - `data.sites_count` (integer,null)
    Example: 100

  - `data.sites_count_domain` (integer,null)
    Example: 1

  - `data.sites_count_app` (integer,null)
    Example: 2

  - `data.sites_count_primary_seller_id` (integer,null)
    Example: 3

  - `data.created_on` (string)

  - `data.updated_on` (string)

  - `meta` (object)

  - `meta.status` (string, required)
    Example: "success"

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)


